********************************************
* Analysis of Okun's Law
* Contacts: Daniel Leigh and Jair Rodriguez
********************************************

********************************************
* Read in data
********************************************


clear

global main = "Q:\DATA\Okun\other\1.data_appendix"
use "$main\data\usa_q_transformed_updated"
cd "$main\outputs"

hprescott logy, smooth(160) stub(H1)
gen logy_hpf160 = H1_logy_sm_1
drop *H1* 
replace logy_hpf160=. if logy_hpf1600 ==0
lab var logy_hpf160 "GDP hp-filtered 160 factor"

hprescott ur, smooth(160) stub(H1)
gen u_hpf160= H1_ur_sm_1
drop *H1* 
replace u_hpf160=. if u_hpf1600 ==0
lab var u_hpf160 "UR hp-filtered 160 factor"

gen ur_star_160 = ur-u_hpf160
lab var ur_star_160 "UR star 160"
gen logy_star_160 = logy-logy_hpf160
lab var logy_star_160 "GDP star 160"
 *Unemployment
 tsline u_hpf160 || tsline ur , yaxis(2)
 graph export "UR level & Trend HP 160.wmf",replace
 tsline u_hpf1600 || tsline ur , yaxis(2)
 graph export "UR level & Trend HP 1600.wmf",replace
  tsline ur_star_160 || tsline ur , yaxis(2) 
 graph export "UR level & Cycle HP 160.wmf",replace 
 
 *GDP
 tsline logy_star_160 || tsline logy , yaxis(2) 
 graph export "Log GDP  & Trend HP 160.wmf",replace
 tsline logy_hpf160 || tsline logy , yaxis(2) 
 graph export "Log GDP & Trend HP 1600.wmf",replace
 tsline logy_hpf1600 || tsline logy , yaxis(2) 
 graph export "Log GDP & Cycle HP 160.wmf",replace
