*******************************************
* Analysis of Okun's Law
* Contact: Nathalie Gonzalez
********************************************

********************************************
* Read in data
********************************************
log using "Structural Break 1984q1-Change Constat + Restricted.txt", t replace
set more off
clear
clear matrix
global main ="Q:\DATA\Okun\other\1.data_appendix"
cd "$main\data"
use usa_q_transformed_updated.dta,clear
cd "$main\outputs"
tsset quarter
save temp, replace
***************************
* Changes
***************************

preserve
* Variables
cap drop y
cap drop x
sort quarter
gen y = ur_chg
gen L1y = L1.y
gen x = y_chg
gen L1x = L1.x
gen L2x = L2.x

* Sample
keep if (quarter >= tq(1948q1) & quarter <= tq(2013q4))
* Sub-sample variables
	gen x1 = 0
	gen L1x1 = 0
	gen L2x1 = 0
	gen x2 = 0
	gen L1x2 = 0
	gen L2x2 = 0
	gen c_1 = 0
	gen c_2 = 0
	replace c_1 = 1 if quarter<tq(1984q1)
	replace x1 = x if quarter<tq(1984q1)
	replace L1x1 = L1x if quarter<tq(1984q1)
	replace L2x1 = L2x if quarter<tq(1984q1)
	replace c_2 = 1 if quarter>=tq(1984q1)
	replace x2 = x if quarter>=tq(1984q1)
	replace L1x2 = L1x if quarter>=tq(1984q1)
	replace L2x2 = L2x if quarter>=tq(1984q1)
	*Allowing change in the constan ans the betas, just checkin if the summ of the betas is different
	
		reg y c_1 x1 L1x1 L2x1 c_2 x2 L1x2 L2x2, nocons
	local n = e(N)
	local l = `n'^(1/4)
	local l = round(`l')
	newey  y c_1 x1 L1x1 L2x1 c_2 x2 L1x2 L2x2,  noconstant lag(`l')
	test  _b[x1] +_b[L1x1]+ _b[L2x1] =_b[x2] +_b[L1x2] +_b[L2x2]
	test  _b[c_1]=_b[c_2]
	*Allowing just for Change in the constant
		reg  y c_1 c_2 x L1x L2x,  noconstant 
		
	
	log close
	
