*****************************************************************************************************************
* Contact: dleigh@imf.org, eozturk@imf.org
*****************************************************************************************************************

* Read in the data

clear all
set more off

cd "$main\data"
use usa_a_transformed_updated.dta,clear


* Sample

drop if year>2013


*Lambda=100
* Regressions
cd "$main\outputs"

preserve

* Settings
local title = "l = 100"
* Variables
gen y = u_star100
gen x = y_star100

gen L1y = L1.y
gen L1x = L1.x

* Newey lag selection.  l = (n)^(1/4).  
                reg y x, nocons
				dwstat
				local dw = r(dw)
				local rmse = e(rmse)
				local adj_r2 = e(r2_a)
                local n = e(N)
                local l = `n'^(1/4)
                local l = round(`l')
                newey y x, nocons lag(`l')
	
outreg2 using Table_1.xls,   cti("`title'") bdec(3) sdec(3) adec(3)  addstat("Adjusted-R2", `adj_r2', "rmse", `rmse', "dw", `dw') replace

                

restore

*Lamdba 1000
preserve
* Settings
local title = "l = 1000"
* Variables
gen y = u_star1000
gen x = y_star1000
                * Newey lag selection.  l = (n)^(1/4).  
                reg y x, nocons		
				dwstat
				local dw = r(dw)
				local rmse = e(rmse)
				local adj_r2 = e(r2_a)
								
outreg2 using Table_1.xls,  cti("`title'") bdec(3) sdec(3) adec(3)  addstat("Adjusted-R2", `adj_r2', "rmse", `rmse', "dw", `dw') append



restore


*Changes


preserve
* Settings
local title = "Changes"
* Variables
gen y = ur_chg
gen x = y_chg

gen L1y = L1.y
gen L1x = L1.x
* Newey lag selection.  l = (n)^(1/4).  
                reg y x
                local n = e(N)
                local l = `n'^(1/4)
                local l = round(`l')
				local rmse = e(rmse)
				local adj_r2 = e(r2_a)
				dwstat
				local dw = r(dw)
                newey y x,lag(`l')
display " `adj_r2' `rmse'`dw'"
outreg2 using Table_1.xls,  cti("`title'") bdec(3) sdec(3) adec(3)  addstat("Adjusted-R2", `adj_r2', "rmse", `rmse', "dw", `dw') append
erase Table_1.txt
			restore
