********************************************
* Analysis of Okun's Law
* Contacts: Daniel Leigh and Jair Rodriguez
********************************************
clear all
use "$main\data\usa_q_transformed_updated"
cd "$main\outputs"

merge 1:1 quarter using "$main\data\y_change_vintage"

********************************************
* Regressions
********************************************

*** Sample
keep if quarter <= tq(1960q4)

*** First differences

matrix table5l=J(4,4,.)
matrix table5u=J(5,12,.)

* Newey lag selection.  l = (n)^(1/4).  
 regress ur_chg y_chg_vintage
				matrix table5l [3,1] = e(rmse)
             	matrix table5l [2,1]= e(r2_a) 
				matrix table5l [1,1] = e(N)
				local n= e(N)
                dwstat
			
				matrix table5l [4,1] = r(dw)
				local l = `n'^(1/4)
                local l = round(`l')
                newey  ur_chg y_chg_vintage, lag(`l')
				matrix table5u[1,1]=_b[y_chg_vintage]
				matrix table5u[1,2]=_se[y_chg_vintage]
				test _b[y_chg_vintage]=0
				matrix table5u[1,3]=r(p)
				
				matrix table5u[5,1]=_b[_cons]
				matrix table5u[5,2]=_se[_cons]
				test _b[_cons]=0
				matrix table5u[5,3]=r(p)
				

regress ur_chg y_chg_vintage l1.y_chg_vintage l2.y_chg_vintage
				matrix table5l [3,2] = e(rmse)
             	matrix table5l [2,2]= e(r2_a) 
				matrix table5l [1,2] = e(N)
				local n= e(N)
				dwstat
			
				matrix table5l [4,2] = r(dw)
				newey  ur_chg y_chg_vintage l1.y_chg_vintage l2.y_chg_vintage, lag(`l')
				matrix table5u[1,4]=_b[y_chg_vintage]
				matrix table5u[1,5]=_se[y_chg_vintage]
				test _b[y_chg_vintage]=0
				matrix table5u[1,6]=r(p)			
				
				matrix table5u[2,4]=_b[l1.y_chg_vintage]
				matrix table5u[2,5]=_se[l1.y_chg_vintage]
				test _b[l1.y_chg_vintage] =0
				matrix table5u[2,6]=r(p)		
				
				matrix table5u[3,4]=_b[l2.y_chg_vintage]
				matrix table5u[3,5]=_se[l2.y_chg_vintage]
				test _b[l2.y_chg_vintage] =0
				matrix table5u[3,6]=r(p)	
							
				lincom _b[y_chg_vintage] + _b[l1.y_chg_vintage] + _b[l2.y_chg_vintage]
				matrix table5u[4,4] = r(estimate)
				matrix table5u[4,5] = r(se)
				test _b[y_chg_vintage] + _b[l1.y_chg_vintage] + _b[l2.y_chg_vintage] = 0
				matrix table5u[4,6] = r(p)
				matrix table5u[5,4]=_b[_cons]
				matrix table5u[5,5]=_se[_cons]
				test _b[_cons]=0
				matrix table5u[5,6]=r(p)

********************************************
* Read in data
********************************************

clear 

use "$main\data\usa_q_transformed_updated"
cd "$main\outputs"




********************************************
* Regressions
********************************************

*** Sample
keep if quarter <= tq(2013q4)

*
*** First differences


				
	* Newey lag selection.  l = (n)^(1/4).  
regress ur_chg y_chg
                matrix table5l[3,3] =e(rmse)
				matrix table5l[2,3] = e(r2_a) 
				matrix table5l[1,3] = e(N)	
				local n = e(N)
				dwstat
				matrix table5l[4,3]= r(dw)
				local l = `n'^(1/4)
                local l = round(`l')
                newey  ur_chg y_chg, lag(`l')
				matrix table5u[1,7]=_b[y_chg]
				matrix table5u[1,8]=_se[y_chg]
				test _b[y_chg]=0
				matrix table5u[1,9]=r(p)
				
				matrix table5u[5,7]=_b[_cons]
				matrix table5u[5,8]=_se[_cons]
				test _b[_cons]=0
				matrix table5u[5,9]=r(p)
				
				

regress ur_chg y_chg l1.y_chg l2.y_chg
				matrix table5l [3,4] = e(rmse)
             	matrix table5l [2,4]= e(r2_a) 
				matrix table5l [1,4] = e(N)
				local n= e(N)
				dwstat
				matrix table5l [4,4] =  r(dw)

		newey  ur_chg y_chg l1.y_chg l2.y_chg, lag(`l')
			    matrix table5u[1,10]=_b[y_chg]
				matrix table5u[1,11]=_se[y_chg]
				test _b[y_chg]=0
				matrix table5u[1,12]=r(p)			
				
				matrix table5u[2,10]=_b[l1.y_chg]
				matrix table5u[2,11]=_se[l1.y_chg]
				test _b[l1.y_chg] =0
				matrix table5u[2,12]=r(p)		
				
				matrix table5u[3,10]=_b[l2.y_chg]
				matrix table5u[3,11]=_se[l2.y_chg]
				test _b[l2.y_chg] =0
				matrix table5u[3,12]=r(p)
		
		
				
				lincom _b[y_chg] + _b[l1.y_chg] + _b[l2.y_chg]
				matrix table5u[4,10] = r(estimate)
				matrix table5u[4,11] = r(se)
				test _b[y_chg] + _b[l1.y_chg] + _b[l2.y_chg] = 0
				matrix table5u[4,12]= r(p)

				matrix table5u[5,10]=_b[_cons]
				matrix table5u[5,11]=_se[_cons]
				test _b[_cons]=0
				matrix table5u[5,12]=r(p)
				

mat coln table5l = "Vintage" "Vintage_L" "Current" "Current_L"
mat coln table5u = "C1_b"	"C1_se"	"C1_pv"	"C2_b"	"C2_se"	"C2_pv"	"C3_b"	"C3_se"	"C3_pv"	"C4_b"	"C4_se"	"C4_pv"	
matrix rowname table5u = "R1_b0" "R2_b1" "R3_b2" "R4_b0+b1+b2" "R5_alpha"
matrix rownames table5l  = "Observations" "AdjustedR2" "RMSE" "Durbin_Watson"
clear
svmat2 table5l, names(col)  rnames(title)
tostring Vintage Vintage_L Current Current_L, force format(%4.3f) replace
order title
tempfile stats
save `stats'
clear
svmat2 table5u , names(col)  rnames(title)
forvalues x=1/4{

tostring C`x'_b C`x'_se , replace force format (%4.3f)
replace C`x'_b= C`x'_b + "***" if C`x'_pv<0.01
replace C`x'_b= C`x'_b + "**" if C`x'_pv<0.05 & C`x'_pv>=0.01
replace C`x'_b= C`x'_b + "*" if C`x'_pv<0.1 & C`x'_pv>=0.05
replace C`x'_se = "("+C`x'_se+")" if C`x'_se!="."
drop C`x'_pv
}
reshape long C1 C2 C3 C4 , i(title) j(c) string
local i =1
foreach x in "Vintage" "Vintage_L" "Current" "Current_L"{
rename C`i' `x'
local i = `i'+1
}
append using `stats' ,force
drop c
export excel Table_5, first(var) replace



